Package org.h2.dev.fs

# Class ArchiveTool

java.lang.Object
org.h2.dev.fs.ArchiveTool

public class ArchiveTool extends Object
A standalone archive tool to compress directories. It does not have any dependencies except for the Java libraries.

Unlike other compression tools, it splits the data into chunks and sorts the chunks, so that large directories or files that contain duplicate data are compressed much better.

## Constructor Summary

Constructors
Constructor
Description
`ArchiveTool()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String... args)`
Run the tool.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ArchiveTool

public ArchiveTool()

## Method Details

### main

public static void main(String... args) throws Exception
Run the tool.

Parameters:
  `args` - the command line arguments
Throws:
  `Exception`